PUT https://api.revio.co.za/v2/mandate/eft/{mandateId}Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
mandateId | path | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
state | MandateState | no | One of: NEW, QUEUED, SUBMITTED, ACCEPTED, COMPLETED, VALIDATION_FAILURE, AUTH_FAILURE, INTERNAL_FAILURE, PENDING_RT_AUTH, CUTOFF |
debtor | Debtor | yes | |
creditor | Creditor | yes | |
currency | string | yes | |
frequency | Frequency | yes | One of: MONTHLY, WEEKLY, FORTNIGHTLY, QUARTERLY, BIANNUALLY, ADHOC, YEARLY |
entryClass | string | yes | |
amountCents | integer (int64) | yes | |
profileCode | string | yes | |
releaseDate | string (date-time) | no | |
collectionDay | integer (int32) | yes | |
verifyAccount | boolean | no | |
abbreviatedName | string | yes | |
validateAccount | boolean | no | |
ultimateCreditor | Creditor | no | |
contractReference | string | yes | |
externalReference | string | no | |
defaultServiceType | EFTCollectionServiceType | yes | One of: ONEDAY, TWODAY, SAMEDAY |
Example
curl -X PUT https://api.revio.co.za/v2/mandate/eft/{mandateId} \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json'Responses
| Status | Description |
|---|---|
200 | OK |